当前位置: 首页 > >

vue插件build过程中的问题

发布时间:



解决构建vue插件的问题


如果你在构建vue插件时遇到的如下图的问题,可以继续阅读:

在图中得知我们构建时在vue-devtools@5.3.3依赖包出错了。之后查看依赖包发现,依赖包内没有任何一个文档:

解决(建议重新下载GitHub上的源码):
1.npm install -g yarn 安装*的npm的包管理工具。
2.npm install -g cnpm -registry=https://registry.npm.taobao.org (搞个淘宝镜像)
3.cmd进入vue-devtools-dev目录yarn install(期间可能会因为‘你懂的’网络问题导致下图[3/5]和[4/5]步骤执行过程中中断,只需要关闭窗口再次yarn install就会从上次中断处继续下载。)


如果我们的窗口卡在了下图waiting这一步:可以再使用cnpm install一次(因为yarn install已经把我们缺失的包下回来了)
4.最后npm run build就可以了
剩下的参考下文: https://www.cnblogs.com/wbl001/p/11063613.html.



友情链接: